<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1kernel_1_1_kernel_r_b_f.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">melon::kernel::KernelRBF&lt; T, V &gt; Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">melon::kernel::KernelRBF&lt; T, V &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html#a8885cc1731e50ae7b5f9bc0bef44748e">_gamma</a></td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">melon::kernel::KernelRBF&lt; T, V &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html#a566162476b5a4d85bf3433131bc517ae">_quadratic_distance</a>(std::vector&lt; T &gt; x1, std::vector&lt; V &gt; x2)</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">melon::kernel::StationaryKernel&lt; T, V &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html#a1fb033bbe5a2ed283fcecc2a0a34bb84">calculate_distance</a>(std::vector&lt; T &gt; x1, std::vector&lt; V &gt; x2) override</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">melon::kernel::KernelRBF&lt; T, V &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html#af77cb8a39caa7d5191aa560eb80d2f09">evaluate_kernel</a>(std::vector&lt; T &gt; x1, std::vector&lt; V &gt; x2) override</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">melon::kernel::KernelRBF&lt; T, V &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html#a8bfc02f818e464515cf4eee385e4451e">evaluate_kernel</a>(RET distance) override</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">melon::kernel::KernelRBF&lt; T, V &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html#aebf09200ca3535f515384f9326978359">KernelRBF</a>(const double gamma)</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">melon::kernel::KernelRBF&lt; T, V &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> typedef</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html">melon::kernel::Kernel&lt; T, V &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#a723ab0686bbb045ff401220d51f72c2a">~Kernel</a>()=default</td><td class="entry"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html">melon::kernel::Kernel&lt; T, V &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
